org.mozilla.javascript

## Class ScriptRuntimeES6

- java.lang.Object
- - org.mozilla.javascript.ScriptRuntimeES6

-     public class ScriptRuntimeES6
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptRuntimeES6()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scriptable` | `requireObjectCoercible(Context cx, Scriptable val, IdFunctionObject idFuncObj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptRuntimeES6

          public ScriptRuntimeES6()

  - ### Method Detail

    - #### requireObjectCoercible

          public static Scriptable requireObjectCoercible(Context cx,
                                          Scriptable val,
                                          IdFunctionObject idFuncObj)